summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Tushar Jagad <tushar.jagad@gmail.com>2017-11-26 09:07:53 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-02 06:30:50 +0700
commit29d930e82be3e9cb26358ae85bdc08a72f4583b3 (patch)
tree7c23b144b055fc8b893ee64dbbb14cbbce13b90e /libraries
parentbbdbcd358beb764127a91e0f658c8cae679a6118 (diff)
downloadslackbuilds-29d930e82be3e9cb26358ae85bdc08a72f4583b3.tar.gz
slackbuilds-29d930e82be3e9cb26358ae85bdc08a72f4583b3.tar.xz
libraries/ta-lib: Added (Multi-Platform Tools for Market Analysis).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/ta-lib/README7
-rw-r--r--libraries/ta-lib/slack-desc19
-rw-r--r--libraries/ta-lib/ta-lib.SlackBuild101
-rw-r--r--libraries/ta-lib/ta-lib.info10
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/ta-lib/README b/libraries/ta-lib/README
new file mode 100644
index 0000000000..d00b0a635f
--- /dev/null
+++ b/libraries/ta-lib/README
@@ -0,0 +1,7 @@
+TA-Lib is widely used by trading software developers requiring to perform
+technical analysis of financial market data.
+
+Includes
+ 200 indicators as ADX, MACD, RSI, Stochastic, Bollinger Bands etc.
+ Candlestick pattern recognition
+ Open-source API for C/C++, Java, Perl, Python and 100% Managed .NET
diff --git a/libraries/ta-lib/slack-desc b/libraries/ta-lib/slack-desc
new file mode 100644
index 0000000000..017e0df61a
--- /dev/null
+++ b/libraries/ta-lib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ta-lib: ta-lib (Multi-Platform Tools for Market Analysis)
+ta-lib:
+ta-lib: ta-lib is widely used by trading software developers requiring to
+ta-lib: perform technical analysis of financial market data.
+ta-lib:
+ta-lib: Includes
+ta-lib: 200 indicators as ADX, MACD, RSI, Stochastic, Bollinger Bands etc.
+ta-lib: Candlestick pattern recognition
+ta-lib: Open-source API for C/C++, Java, Perl, Python and 100% Managed .NET
+ta-lib:
+ta-lib: Homepage: https://www.ta-lib.org/
diff --git a/libraries/ta-lib/ta-lib.SlackBuild b/libraries/ta-lib/ta-lib.SlackBuild
new file mode 100644
index 0000000000..e6bc0a7603
--- /dev/null
+++ b/libraries/ta-lib/ta-lib.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for TA-Lib
+
+# Copyright 2017 Tushar Jagad <tushar.jagad@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ta-lib
+VERSION=${VERSION:-0.4.0-src}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-${VERSION/-src/} \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-${VERSION/-src/}
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-${VERSION/-src/}/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION/-src/}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/ta-lib/ta-lib.info b/libraries/ta-lib/ta-lib.info
new file mode 100644
index 0000000000..84d391e835
--- /dev/null
+++ b/libraries/ta-lib/ta-lib.info
@@ -0,0 +1,10 @@
+PRGNAM="ta-lib"
+VERSION="0.4.0"
+HOMEPAGE="https://www.ta-lib.org/"
+DOWNLOAD="http://prdownloads.sourceforge.net/ta-lib/ta-lib-0.4.0-src.tar.gz"
+MD5SUM="308e53b9644213fc29262f36b9d3d9b9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tushar Jagad"
+EMAIL="tushar.jagad@gmail.com"